Búsqueda de    
Vulnerabilidad   
    Buscar 211766 Descripciones CVE y
97459 Descripciones de Pruebas,
accesos 10,000+ referencias cruzadas.
Pruebas   CVE   Todos  

ID de Prueba:1.3.6.1.4.1.25623.1.1.4.2021.1860.1
Categoría:SuSE Local Security Checks
Título:SUSE: Security Advisory (SUSE-SU-2021:1860-1)
Resumen:The remote host is missing an update for the 'libwebp' package(s) announced via the SUSE-SU-2021:1860-1 advisory.
Descripción:Summary:
The remote host is missing an update for the 'libwebp' package(s) announced via the SUSE-SU-2021:1860-1 advisory.

Vulnerability Insight:
This update for libwebp fixes the following issues:

CVE-2018-25010: Fixed heap-based buffer overflow in ApplyFilter()
(bsc#1185685).

CVE-2020-36330: Fixed heap-based buffer overflow in
ChunkVerifyAndAssign() (bsc#1185691).

CVE-2020-36332: Fixed extreme memory allocation when reading a file
(bsc#1185674).

CVE-2020-36329: Fixed use-after-free in EmitFancyRGB() (bsc#1185652).

CVE-2018-25012: Fixed heap-based buffer overflow in GetLE24()
(bsc#1185690).

CVE-2020-36328: Fixed heap-based buffer overflow in WebPDecode*Into
functions (bsc#1185688).

CVE-2018-25013: Fixed heap-based buffer overflow in ShiftBytes()
(bsc#1185654).

CVE-2020-36331: Fixed heap-based buffer overflow in ChunkAssignData()
(bsc#1185686).

CVE-2018-25009: Fixed heap-based buffer overflow in GetLE16()
(bsc#1185673).

CVE-2018-25011: Fixed fail on multiple image chunks (bsc#1186247).

Affected Software/OS:
'libwebp' package(s) on SUSE Manager Server 4.0, SUSE Manager Retail Branch Server 4.0, SUSE Manager Proxy 4.0, SUSE Linux Enterprise Workstation Extension 15-SP3, SUSE Linux Enterprise Workstation Extension 15-SP2, SUSE Linux Enterprise Server for SAP 15-SP1, SUSE Linux Enterprise Server for SAP 15, SUSE Linux Enterprise Server 15-SP1, SUSE Linux Enterprise Server 15, SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3, SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2, SUSE Linux Enterprise High Performance Computing 15-SP1, SUSE Linux Enterprise High Performance Computing 15, SUSE Enterprise Storage 6, SUSE CaaS Platform 4.0

Solution:
Please install the updated package(s).

CVSS Score:
7.5

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Referencia Cruzada: Common Vulnerability Exposure (CVE) ID: CVE-2018-25009
Common Vulnerability Exposure (CVE) ID: CVE-2018-25010
Common Vulnerability Exposure (CVE) ID: CVE-2018-25011
Common Vulnerability Exposure (CVE) ID: CVE-2018-25012
Common Vulnerability Exposure (CVE) ID: CVE-2018-25013
Common Vulnerability Exposure (CVE) ID: CVE-2020-36328
Common Vulnerability Exposure (CVE) ID: CVE-2020-36329
Common Vulnerability Exposure (CVE) ID: CVE-2020-36330
Common Vulnerability Exposure (CVE) ID: CVE-2020-36331
Common Vulnerability Exposure (CVE) ID: CVE-2020-36332
CopyrightCopyright (C) 2021 Greenbone Networks GmbH

Esta es sólo una de 97459 pruebas de vulnerabilidad en nuestra serie de pruebas. Encuentre más sobre cómo ejecutar una auditoría de seguridad completa.

Para ejecutar una prueba gratuita de esta vulnerabilidad contra su sistema, regístrese ahora.




© 1998-2021 E-Soft Inc. Todos los derechos reservados.